Batch get token metadata
curl --request GET \
--url https://api.neynar.com/v2/onchain/token/metadata/batch \
--header 'x-api-key: <api-key>'import requests
url = "https://api.neynar.com/v2/onchain/token/metadata/batch"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neynar.com/v2/onchain/token/metadata/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokens": [
{
"address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"decimals": 6,
"description": "USDC is a fully collateralized US dollar stablecoin",
"fdv": "25000000000",
"holder_count": 1500000,
"image_url": "https://example.com/token.png",
"liquidity": "500000000",
"market_cap": "25000000000",
"name": "USD Coin",
"network": "ethereum",
"price_change_24h_pct": -1.2,
"price_change_6h_pct": 0.5,
"price_source": "onchain",
"price_updated_at": 1707177600000,
"price_usd": "1.00",
"symbol": "USDC",
"total_supply": "1000000000000",
"volume_24h": "150000000",
"volume_6h": "50000000"
}
]
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Onchain
Batch get token metadata
Fetch metadata for multiple tokens in a single request. Provide comma-separated networks and addresses in the same order. Maximum 100 tokens per request.
GET
/
v2
/
onchain
/
token
/
metadata
/
batch
Batch get token metadata
Node.js SDK
š SDK Method: batchGetTokenMetadata Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Query Parameters
Comma-separated list of blockchain networks. Each value must be a valid network (ethereum, optimism, base, arbitrum, robinhood).
Example:
"base"
Comma-separated list of token contract addresses corresponding to each network
Example:
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913,0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
Response
Success
Show child attributes
Show child attributes
Was this page helpful?